#!/bin/bash
#

# Install a Mysql "datasource" in the wildlfy server
usage="Usage: install_mysql datasource mysql_host database user password"

if [ 5 != ${#} ] ; then
    >&2 echo "Must provide five, and only five, parameters"
    >&2 echo "${usage}"
    exit 1
fi

saxon_path=${SAXON_PATH:-${SAXON_HOME}/saxon.jar}
java -jar ${saxon_path} \
         -s:${JBOSS_HOME}/standalone/configuration/standalone.xml \
         -xsl:${XSL_HOME}/mysql/install.xsl \
         -o:${JBOSS_HOME}/standalone/configuration/standalone.xml \
         datasource=${1} \
         host=${2} \
         database=${3} \
         user=${4} \
         password=${5}

# Clear signal that the Mysql driver is needed (in the case another install has removed it)
touch ${JBOSS_HOME}/standalone/configuration/install_mysql
